import {request} from "@@/plugin-request/request";

// 新增人事档案
export async function addEmployees(data: object){
  return request('/api/admin/personnel/add',{
    method:'post',
    data
  })
}

// 验证员工编号重复
export async function checkEmployeeId(employeeId: string,id: string){
  return request('/api/admin/personnel/checkEmployeeId',{
    params:{
      employeeId,
      id
    }
  })
}

// 验证门禁编号重复
export async function checkDoorId(doorId: string,id: string){
  return request('/api/admin/personnel/checkDoorId',{
    params:{
      doorId,
      id
    }
  })
}

// 修改人事档案
export async function updateEmployees(data: object){
  return request('/api/admin/personnel/update',{
    method:'post',
    data
  })
}

// 人事档案详情
export async function getSelectBypdId(id: string){
  return request('/api/admin/personnel/selectBypdId',{
    params:{
      id,
    }
  })
}

// 获得星级
export async function selectLvlList(){
  return request('/api/admin/personnel/selectLvlList')
}

// 修改任职信息
export async function updatePersonnel(data: object){
  return request('/api/admin/personnel/update',{
    method:'post',
    data
  })
}




