import {request} from "@@/plugin-request/request";

// 获取上级品类
export async function getAllCname(){
  return request('/api/admin/ProjectSize/getAllCname',{
    method:'get',
    params:{
      flag: 0
    },
  })
}

// 新增项目
export async function addProject(data: object){
  return request('/api/admin/ProjectSize/addProject',{
    method:'post',
    data,
  })
}

// 项目详情
export async function getOrgProject(id: string){
  return request('/api/admin/ProjectSize/orgProject',{
    method:'get',
    params:{
      id
    },
  })
}

// 更新项目详情
export async function updateProject(data: object){
  return request('/api/admin/ProjectSize/updateProject',{
    method:'post',
    data,
  })
}

// 删除业务
export async function deleteProject(id: string){
  return request('/api/admin/ProjectSize/deleteProject',{
    method:'get',
    params:{
      id
    },
  })
}

// 增加规格
export async function addProjectSize(data: object){
  return request('/api/admin/ProjectSize/addProjectSize',{
    method:'post',
    data,
  })
}

// 更新规格
export async function orgProjectSize(data: object){
  return request('/api/admin/ProjectSize/orgProjectSize',{
    method:'post',
    data,
  })
}

// 删除规格
export async function deleteProjectSize(id: string){
  return request('/api/admin/ProjectSize/deleteProjectSize',{
    method:'get',
    params:{
      id
    },
  })
}
