import {request} from 'umi';

// 新增组织
export async function addOrganization(data: object){
  return request('/api/admin/organization/addOrganization',{
    method:'post',
    data
  })
}

// 删除组织
export async function deleteById(id: string){
  return request('/api/admin/organization/deleteById',{
    method:'post',
    data:{
      id
    }
  })
}

// 获取组织详情
export async function getSelectAllById(id: string){
  return request('/api/admin/organization/selectAllById',{
    method:'get',
    params:{
      id
    }
  })
}

// 查询上级主管
export async function getSelectName(name: string){
  return request('/api/admin/organization/selectName',{
    method:'post',
    data:{
      name
    }
  })
}

// 更新组织
export async function updateOrganization(data: object){
  return request('/api/admin/organization/updateOrganization',{
    method:'post',
    data
  })
}
