import React,{Component} from "react";
import { Tabs } from 'antd';
import Inauguration from './inauguration';
import Contact from './contact';

const { TabPane } = Tabs;

class DataClassify extends Component{
  constructor(props) {
    super(props);
    this.state={
      activeKey: "1"
    }
    this.callback = this.callback.bind(this);
  }

  callback=(key)=>{
    this.setState({
      activeKey: key
    })
  }

  componentDidMount() {
    console.log(this.props.userInfor)
  }

  render() {
    return (
      <>
        {
          this.props.readonly ?
            <div>
              <Inauguration {...this.props}/>
              <Contact {...this.props}/>
            </div>:
            <Tabs defaultActiveKey="1" activeKey={this.state.activeKey} onChange={this.callback} tabBarGutter={85}>
              <TabPane tab="任职信息" key="1">
                <Inauguration {...this.props}/>
              </TabPane>
              <TabPane tab="联系信息" key="2">
                <Contact {...this.props}/>
              </TabPane>
              <TabPane tab="入职资料" key="3">
                Content of Tab Pane 3
              </TabPane>
              <TabPane tab="晋升情况" key="4">
                Content of Tab Pane 3
              </TabPane>
              <TabPane tab="合同情况" key="5">
                Content of Tab Pane 3
              </TabPane>
              <TabPane tab="奖惩情况" key="6">
                Content of Tab Pane 3
              </TabPane>
              <TabPane tab="离职情况" key="7">
                Content of Tab Pane 3
              </TabPane>
              <TabPane tab="福利情况" key="8">
                Content of Tab Pane 3
              </TabPane>
            </Tabs>
        }
      </>
    )
  }
}

export default DataClassify;
